Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.queries_tab.toolbox
Class Helper

    java.lang.Object
      edu.stanford.smi.protegex.queries_tab.toolbox.Helper

    public final class Helper

extends Object

Method Summary
`static void` | `addQuery(SearchWidget widget, InstancesQuery query)`
`static boolean` | `compareMatchStatus(boolean f1, boolean f2)`
`static boolean` | `compareMatchStatus(InstancesQuery query, boolean f)`
`static boolean` | `compareName(InstancesQuery query, String name)`
`static boolean` | `compareName(String name1, String name2)`
`static boolean` | `compareObject(Object obj1, Object obj2, String type)`
`static boolean` | `compareSearchWidget(Object[] objs0, Object[] objs1)`
`static boolean` | `compareSearchWidgets(InstancesQuery query, Vector widgets0)`
`static boolean` | `compareSearchWidgets(Vector widgets1, Vector widgets2)`
`static void` | `copyQuery(InstancesQuery query1, InstancesQuery query2)`
`static void` | `copyVec(Vector newvec, Vector oldvec)` Deep copy the Vector.
`static String[]` | `createNames(InstancesQuery query, int index)`
`static Object[]` | `createObjs(InstancesQuery query, int index)`
`static String` | `getFirstPart(String resultLine)` Get the first Element of earch line.
`static String[]` | `getNames(String inputLine)`
`static String` | `getSecondPart(String resultLine)` Get the second Element of earch line.
`static String` | `getSlotType(Slot slot)`
`static String` | `getSpecifiedString(String symbol, String targetLine)` This function is used to get the content of Concept Name: UI:, Query Term:, and Semantic type:
`static String[]` | `listToStringArray(List list)` Get the values from specified list and return them as a string array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addQuery

    public static void addQuery(SearchWidget widget,
                                InstancesQuery query)

### compareMatchStatus

    public static boolean compareMatchStatus(InstancesQuery query,
                                             boolean f)

### compareMatchStatus

    public static boolean compareMatchStatus(boolean f1,
                                             boolean f2)

### compareName

    public static boolean compareName(InstancesQuery query,
                                      String name)

### compareName

    public static boolean compareName(String name1,
                                      String name2)

### compareObject

    public static boolean compareObject(Object obj1,
                                        Object obj2,
                                        String type)

### compareSearchWidget

    public static boolean compareSearchWidget(Object[] objs0,
                                              Object[] objs1)

### compareSearchWidgets

    public static boolean compareSearchWidgets(InstancesQuery query,
                                               Vector widgets0)

### compareSearchWidgets

    public static boolean compareSearchWidgets(Vector widgets1,
                                               Vector widgets2)

### copyQuery

    public static void copyQuery(InstancesQuery query1,
                                 InstancesQuery query2)

### copyVec

    public static void copyVec(Vector newvec,
                               Vector oldvec)

  Deep copy the Vector.

### createNames

    public static String[] createNames(InstancesQuery query,
                                       int index)

### createObjs

    public static Object[] createObjs(InstancesQuery query,
                                      int index)

### getFirstPart

    public static String getFirstPart(String resultLine)

  Get the first Element of earch line.

### getNames

    public static String[] getNames(String inputLine)

### getSecondPart

    public static String getSecondPart(String resultLine)

  Get the second Element of earch line.

### getSlotType

    public static String getSlotType(Slot slot)

### getSpecifiedString

    public static String getSpecifiedString(String symbol,
                                            String targetLine)

  This function is used to get the content of Concept Name: UI:, Query Term:, and Semantic type:

### listToStringArray

    public static String[] listToStringArray(List list)

  Get the values from specified list and return them as a string array.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request